[scotch] 08/12: use grep directly to distinguish ptscotch in binaries

Drew Parsons dparsons at moszumanska.debian.org
Wed Dec 20 07:14:43 UTC 2017


This is an automated email from the git hooks/post-receive script.

dparsons pushed a commit to tag debian/6.0.4.dfsg1-8
in repository scotch.

commit f34b0675c0796a657192373887de96728a742cd0
Author: Drew Parsons <dparsons at debian.org>
Date:   Wed Dec 20 13:40:32 2017 +0800

    use grep directly to distinguish ptscotch in binaries
    
    Testing via objdump is unnecessary and complicates handling.
---
 debian/control          | 1 -
 debian/ptscotch.install | 2 +-
 debian/scotch.install   | 3 +--
 3 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/debian/control b/debian/control
index a55c994..ca40114 100644
--- a/debian/control
+++ b/debian/control
@@ -6,7 +6,6 @@ Uploaders: "Adam C. Powell, IV" <hazelsct at debian.org>,
  Andreas Tille <tille at debian.org>
 Build-Depends: debhelper (>= 10),
     quilt,
-    binutils,
     bison, flex,
     zlib1g-dev,
     chrpath,
diff --git a/debian/ptscotch.install b/debian/ptscotch.install
index 6f47eab..7468dce 100755
--- a/debian/ptscotch.install
+++ b/debian/ptscotch.install
@@ -1,7 +1,7 @@
 #!/bin/bash
 
 # separate scotch from ptscotch binaries
-PTSCOTCH_BINARIES=$( for b in int/bin/*; do if objdump -p $b | grep -q ptscotch; then echo `basename $b`; fi; done )
+PTSCOTCH_BINARIES=$( for b in int/bin/*; do if grep -q ptscotch $b; then echo `basename $b`; fi; done )
 
 for file in $PTSCOTCH_BINARIES; do
   echo int/bin/${file} /usr/bin
diff --git a/debian/scotch.install b/debian/scotch.install
index 30e7b9f..76f2dae 100755
--- a/debian/scotch.install
+++ b/debian/scotch.install
@@ -1,8 +1,7 @@
 #!/bin/bash
 
 # separate scotch from ptscotch binaries
-pwd > scotch.install.pwd
-SCOTCH_BINARIES=$( for b in int/bin/*; do if objdump -p $b | grep -q --invert-match ptscotch; then echo `basename $b`; fi; done )
+SCOTCH_BINARIES=$( for b in int/bin/*; do if ! grep -q ptscotch $b; then echo `basename $b`; fi; done )
 
 for file in $SCOTCH_BINARIES; do
   echo int/bin/${file} /usr/bin

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/scotch.git



More information about the debian-science-commits mailing list